/* default to light color theme */
:root {

/* light mode */
  --bg_1:       rgb(242 242 247);
  --bg_2:       rgb(229 229 234);
  --bg_3:       rgb(209 209 214);
  --bg_4:       rgb(199 199 204);
  --bg_5:       rgb(174 174 178);
  --bg_6:       rgb(142 142 147);
  --fg_1:       rgb(28 28 30);
  --fg_2:       rgb(44 44 46);
  --fg_3:       rgb(58 58 60);
  --fg_4:       rgb(72 72 74);
  --fg_5:       rgb(99 99 102);
  --fg_6:		rgb(142 142 147);
  --red:        rgb(255 59 48);
  --orange:     rgb(255 149 0);
  --yellow:     rgb(255 204 0);
  --green:      rgb(40 205 65);
  --mint:       rgb(0 199 190);
  --teal:       rgb(89 173 196);
  --cyan:       rgb(85 190 240);
  --blue:       rgb(0 122 255);
  --indigo:     rgb(88 86 214);
  --purple:     rgb(175 82 222);
  --pink:       rgb(255 45 85);
  --brown:      rgb(162 132 94);
  --gray:       rgb(142 142 147);
  --section:    rgba(229, 229, 234, 0.5);
  --gradtop:    rgb(229 229 234);
  --gradbot:    rgb(199 199 204);
  --gradhvt:    rgb(242 242 247);
  --gradhvb:    rgb(209 209 214);
  --gradbdr:    rgb(209 209 214);
  --modal_0:    rgb(28 28 30);    /* same for both light/dark */
  --modal_1:    rgb(72 72 74);    /* same for both light/dark */
  --modal_2:    rgb(229 229 234); /* same for both light/dark */
  --lm_bg:      rgb(229 229 234); /* same for both light/dark */
  --lm_bd:      rgb(174 174 178); /* same for both light/dark */
  --dm_bg:      rgb(99 99 102);   /* same for both light/dark */
  --dm_bd:      rgb(44 44 46);    /* same for both light/dark */
 
}

/* Dark mode preference */
@media (prefers-color-scheme: dark) {
    :root {
      --bg_1:    rgb(28 28 30);
      --bg_2:    rgb(44 44 46);
      --bg_3:    rgb(58 58 60);
      --bg_4:    rgb(72 72 74);
      --bg_5:    rgb(99 99 102);
      --bg_6:    rgb(142 142 147);
      --fg_1:    rgb(242 242 247);
      --fg_2:    rgb(229 229 234);
      --fg_3:    rgb(209 209 214);
      --fg_4:    rgb(199 199 204);
      --fg_5:    rgb(174 174 178);
      --fg_6:    rgb(142 142 147);
      --red:     rgb(255 69 58);
      --orange:  rgb(255 159 10);
      --yellow:  rgb(255 214 10);
      --green:   rgb(50 215 75);
      --mint:    rgb(102 212 207);
      --teal:    rgb(106 196 220);
      --cyan:    rgb(90 200 245);
      --blue:    rgb(10 132 255);
      --indigo:  rgb(94 92 230);
      --purple:  rgb(191 90 242);
      --pink:    rgb(255 55 95);
      --brown:   rgb(172 142 104);
      --gray:    rgb(152 152 157);
      --section: rgba(44, 44, 46, 0.5);
      --gradtop: rgb(72 72 74);
      --gradbot: rgb(44 44 46);
      --gradhvt: rgb(58 58 60);
      --gradhvb: rgb(28 28 30);
      --gradbdr: rgb(58 58 60);
    }
}